flutter_file_manager 0.1.1

  • README.md
  • CHANGELOG.md
  • Installing
  • Versions
  • 86

flutter_file_manager #

pub package

A set of utilities, that help to manage the files & directories in Android system.

You are in your way to create File Manager app or a Gallery App.

Getting Started #

For help getting started with Flutter, view our online documentation.

For help on editing package code, view the documentation.

Screenshots #

Usage #

To use this package, add these
dependency in your pubspec.yaml file.

dependencies:
  flutter:
    sdk: flutter
  path: 1.6.2
  path_provider: 0.5.0+1
  flutter_file_manager: ^0.1.1

And, add read / write permissions in your android/app/src/main/AndroidManifest.xml

<uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
<uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE"/>

Don't forget to grant Storage permissions to your app, manually or by this plugin simple_permissions

// framework
import 'package:flutter/material.dart';

// packages
import 'package:flutter_file_manager/flutter_file_manager.dart';
import 'package:path_provider/path_provider.dart';
import 'package:path/path.dart' as p;

void main() => runApp(new MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return new MaterialApp(
      home: Scaffold(
          appBar: AppBar(
            title: Text("Flutter File Manager Demo"),
          ),
          body: FutureBuilder(
            future: _files(), // a previously-obtained Future<String> or null
            builder: (BuildContext context, AsyncSnapshot snapshot) {
              switch (snapshot.connectionState) {
                case ConnectionState.none:
                  return Text('Press button to start.');
                case ConnectionState.active:
                case ConnectionState.waiting:
                  return Text('Awaiting result...');
                case ConnectionState.done:
                  if (snapshot.hasError)
                    return Text('Error: ${snapshot.error}');
                  return snapshot.data != null
                      ? ListView.builder(
                          itemCount: snapshot.data.length,
                          itemBuilder: (context, index) => Card(
                                  child: ListTile(
                                title: Text(snapshot.data[index].absolute.path),
                                subtitle: Text(
                                    "Extension: ${p.extension(snapshot.data[index].absolute.path).replaceFirst('.', '')}"), // getting extension
                              )))
                      : Center(
                          child: Text("Nothing!"),
                        );
              }
              return null; // unreachable
            },
          )),
    );
  }

  _files() async {
    var root = await getExternalStorageDirectory();
    var fm = FileManager(root: root);
    var files = await fm.filesTree(excludedPaths: ["/storage/emulated/0/Android"]);
    return files;
  }
}

Example #

Features #

  • file details
  • search files or directories: supports regular expressions
  • recent created files: you can exclude a list of directories from the tree
  • directories only tree: you can exclude a list of directories from the tree
  • files only tree: you can exclude a list of directories from the tree
  • files list from specific point
  • delete files
  • delete directory
  • temp file
  • Sorting file by: type, size, date, ..

Contributors #

Feel free to donate #

Contact me #

  • me.developer.a@gmail.com

[0.1.1]

  • fix bugs

[0.1.0]

  • major changes
  • now most functions return Directory or File types
  • optimization
  • fixing bugs
  • ...

[0.0.6]

  • optimization
  • fixing bugs

[0.0.5]

  • fixing bugs

[0.0.4]

  • re-structuring
  • fixing some bugs

[0.0.3]

  • correcting files.

[0.0.2]

  • second release.

[0.0.1]

  • initial release.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  flutter_file_manager: ^0.1.1

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:flutter_file_manager/flutter_file_manager.dart';
  
Version Uploaded Documentation Archive
0.1.1 Apr 15, 2019 Go to the documentation of flutter_file_manager 0.1.1 Download flutter_file_manager 0.1.1 archive
0.1.0 Apr 12, 2019 Go to the documentation of flutter_file_manager 0.1.0 Download flutter_file_manager 0.1.0 archive
0.0.6 Mar 5, 2019 Go to the documentation of flutter_file_manager 0.0.6 Download flutter_file_manager 0.0.6 archive
0.0.5 Nov 10, 2018 Go to the documentation of flutter_file_manager 0.0.5 Download flutter_file_manager 0.0.5 archive
0.0.4 Nov 10, 2018 Go to the documentation of flutter_file_manager 0.0.4 Download flutter_file_manager 0.0.4 archive
0.0.3 Nov 9, 2018 Go to the documentation of flutter_file_manager 0.0.3 Download flutter_file_manager 0.0.3 archive
0.0.2 Nov 9, 2018 Go to the documentation of flutter_file_manager 0.0.2 Download flutter_file_manager 0.0.2 archive
0.0.1 Nov 9, 2018 Go to the documentation of flutter_file_manager 0.0.1 Download flutter_file_manager 0.0.1 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
77
Health:
Code health derived from static analysis. [more]
99
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
90
Overall:
Weighted score of the above. [more]
86
Learn more about scoring.

We analyzed this package on Apr 24, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.2.0
  • pana: 0.12.14
  • Flutter: 1.4.7

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Health suggestions

Fix lib/src/file_manager.dart. (-1 points)

Analysis of lib/src/file_manager.dart reported 2 hints:

line 5 col 8: Unused import: 'dart:math'.

line 96 col 16: The value of the local variable '_recents' isn't used.

Format lib/flutter_file_manager.dart.

Run flutter format to format lib/flutter_file_manager.dart.

Format lib/src/cutsom_file.dart.

Run flutter format to format lib/src/cutsom_file.dart.

Format lib/src/regex_tools.dart.

Run flutter format to format lib/src/regex_tools.dart.

Maintenance suggestions

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package.

Common filename patterns include main.dart, example.dart, and flutter_file_manager.dart. Packages with multiple examples should provide example/README.md.

For more information see the pub package layout conventions.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.68.0 <3.0.0
flutter 0.0.0
path >=1.5.1 <3.0.0 1.6.2
path_provider >=0.4.0 <3.0.0 0.5.0+1
Transitive dependencies
collection 1.14.11
meta 1.1.6 1.1.7
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test